> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Property Type

> Get Property Type



## OpenAPI

````yaml /openapi/openapi_content.json get /content/propertytypes/{propertyTypeName}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CONTENT">
                <h2>CONTENT</h2>
                <p>The Content APIs allow you to organize your site content into a hierarchy of folders and documents, as
                    well as control the publishing of your content to the live site with publish sets that group pending
                    changes together to publish at the same time. For more information about managing site content and the associated UI,
                    see the <a href="/pages/site-builder">Site Builder</a> and <a href="/pages/publishing">Publishing</a> user guides.</p>
                <p>Use the <strong>Document Lists</strong> and <strong>Document List Types</strong> resources to organize your site's documents into a hierarchy. Document lists can
                    contain documents, folders, and complete hierarchies of folders, which contain documents with unique
                    names. The type denotes a content type for that list of folders, sub-folders, and documents such as
                    `web_pages`.</p>
                <p>Use the <strong>Document Types</strong> and <strong>Document Property Types</strong> resources to manage the document and property types supported by the Content API.</p>
                <p>Use the <strong>Document Publishing</strong> resource to manage and publish document drafts. The 
                    related <strong>Document Publish Set</strong> resource manages publish sets and the pending content drafts.</p>
            </div>
  title: Content
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /content/propertytypes/{propertyTypeName}:
    get:
      tags:
        - DocumentPropertyType
      summary: Get Property Type
      description: Get Property Type
      parameters:
        - description: ''
          in: path
          name: propertyTypeName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropertyType'
            text/json:
              schema:
                $ref: '#/components/schemas/PropertyType'
            text/plain:
              schema:
                $ref: '#/components/schemas/PropertyType'
          description: Success
components:
  schemas:
    PropertyType:
      description: "The schema a document property value must implement. A propertyType is created at a tenant scope and is therefore shared amongst all child contexts (masterCatalog, catalog, site).\r\nA propertyType is analogous to the type argument of a class property in object oriented programming. \r\nA propertyType's dataType field is analogous to an intrinsic value type in object oriented programming, or to a column data type in relational database terminology."
      properties:
        adminName:
          description: The administrative name of the propertyType.
          nullable: true
          type: string
        dataType:
          description: "The underlying value type that can be held in the document's property value. Valid values are\r\nstring\r\nnumber\r\nboolean\r\ndatetime\r\njson\r\nThe dataType is analogous to an intrinsic value type in object oriented programming, or to a column data type in relational database terminology."
          nullable: true
          type: string
        installationPackage:
          description: "Optionally, a propertyType can be defined in an installationPackage and then installed into a tenant. Installed propertyTypes can only be updated via installation upgrades. \r\nCurrently only internal Mozu platform components can create installations. This field is system-supplied and read-only."
          nullable: true
          type: string
        isAggregatable:
          description: tbd
          nullable: true
          type: boolean
        isQueryable:
          description: tbd
          nullable: true
          type: boolean
        isSortable:
          description: tbd
          nullable: true
          type: boolean
        name:
          description: >-
            The name component of the propertyType, name@namespace. The name
            must be unique within the namespace component and cannot be updated.
          nullable: true
          type: string
        namespace:
          description: >-
            The namespace component of the propertyType, name@namespace. The
            issued dev account namespace must be used unless elevated privileges
            allow a blank namespace to be used. The namespace cannot be updated.
          nullable: true
          type: string
        propertyTypeFQN:
          description: >-
            The unique identifier of the propertyTYpe, represented by
            name@namespace. The propertyTypeFQN must be provided when creating
            the propertyType, or the name and namespace fields must be provided.
          nullable: true
          type: string
        version:
          description: >-
            The version of the installationPackge installed. This field is
            read-only.
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````